> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nadcab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create cardholder



## OpenAPI

````yaml POST /cards/createCardholder
openapi: 3.1.0
info:
  title: Nadcab Labs Card Issuing API
  version: 1.0.0
  description: >-
    Issue and manage crypto-funded virtual and physical cards, cardholders,
    wallet deposits and remittances.
servers:
  - url: https://cc.nadcab.com/api/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Card BINs
    description: List card BINs you can issue on.
  - name: Account
    description: Wallet balance, deposits and withdrawals.
  - name: API settings
    description: Webhook URL, IP allowlist and card data encryption key.
  - name: Cards
    description: Create, fund, freeze and close cards.
  - name: Cardholders
    description: Create and manage cardholders for B2C card programs.
  - name: Remittance
    description: Send fiat bank transfers funded from your wallet.
paths:
  /cards/createCardholder:
    post:
      tags:
        - Cardholders
      summary: Create cardholder
      operationId: createCardholder
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                email:
                  type: string
                  example: 767665454@qq.com
                  description: Email
                firstName:
                  type: string
                  example: Edward George
                  description: Last name
                lastName:
                  type: string
                  example: Mitchell
                  description: First name
                phone:
                  type: string
                  example: '18696941327'
                  description: Phone number
                phoneCode:
                  type: string
                  example: '86'
                  description: Phone country code
                binId:
                  type: string
                  example: '473'
                  description: BIN ID
                businessMode:
                  type: string
                  example: B2C
                  description: >-
                    Business mode (B2B/B2C). B2C mode requires the identity
                    document fields.
                idType:
                  type: string
                  example: passport
                  description: 'passport: Passport'
                idFrontAttachmentKey:
                  type: string
                  example: 1f13408a-46f6-6a7a-aafa-8266772a93c3
                  description: Front of ID document (from Upload image)
                selfieAttachmentKey:
                  type: string
                  example: 1f1487fb-bedf-6442-8508-4ec3212e74cb
                  description: >-
                    Selfie, required when the BIN uses advanced verification
                    (from Upload image)
                certId:
                  type: string
                  example: '554450184'
                  description: ID number
                certCountryCode:
                  type: string
                  example: CN
                  description: ID document country code (ISO 3166-1 alpha-2)
              required:
                - email
                - firstName
                - lastName
                - phone
                - phoneCode
                - binId
                - businessMode
                - idType
                - idFrontAttachmentKey
                - certId
                - certCountryCode
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      nickname:
                        type: string
                      email:
                        type: string
                        description: Email
                      first_name:
                        type: string
                        description: First name
                      last_name:
                        type: string
                        description: Last name
                      cardholder_id:
                        type: string
                        description: Cardholder ID
                      status:
                        type: string
                        description: >-
                          Status. 'Active': approved, 'Pending': in review,
                          'Inactive': rejected
                      remark:
                        type: string
                        description: Remark
                      max_cardholder_count:
                        type: string
                        description: Maximum cards. -1 means unlimited
                      current_cardholder_count:
                        type: string
                        description: Cards issued
                      bin_ids:
                        type: string
                        description: Supported bin_ids
                      business_mode:
                        type: string
                        description: Business mode
                    required:
                      - nickname
                      - email
                      - first_name
                      - last_name
                      - cardholder_id
                      - status
                      - remark
                      - max_cardholder_count
                      - current_cardholder_count
                      - bin_ids
                      - business_mode
                required:
                  - code
                  - msg
                  - data
              example:
                code: 200
                msg: success
                data:
                  nickname: yiyi
                  email: 4655239917@qq.com
                  first_name: LERA
                  last_name: ULLRICH
                  cardholder_id: '20260411113920006173520498'
                  status: Active
                  remark: ''
                  created_at: '2026-04-11 11:39:20'
                  updated_at: '2026-04-11 11:39:20'
                  deleted_at: null
                  max_cardholder_count: -1
                  current_cardholder_count: 0
                  bin_ids:
                    - 533
                    - 534
                    - 535
                    - 536
                    - 537
                    - 538
                    - 578
                    - 540
                  business_mode: B2B
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your API key from Console → Settings → Key & Access, sent as
        `Authorization: Bearer ncl_...`.

````